pydo.genai.update_attached_agent()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.genai.update_attached_agent(
parent_agent_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
child_agent_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"child_agent_uuid": "\"12345678-1234-1234-1234-123456789012\"",
"if_case": "\"use this to get weather information\"",
"parent_agent_uuid": "\"12345678-1234-1234-1234-123456789012\"",
...,
},
)Description
To update an agent route for an agent, send a PUT request to /v2/gen-ai/agents/{parent_agent_uuid}/child_agents/{child_agent_uuid}.
Parameters
parent_agent_uuidstring requiredA unique identifier for the parent agent.
child_agent_uuidstring requiredRouted agent id
child_agent_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Routed agent id
if_casestring optionalExample:
"use this to get weather information"Describes the case in which the child agent should be used
parent_agent_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"A unique identifier for the parent agent.
route_namestring optionalExample:
"weather_route"Route name
uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Unique id of linkage
Request Sample
Response Example
More Information
See /v2/gen-ai/agents/{parent_agent_uuid}/child_agents/{child_agent_uuid} in the API reference for additional detail on responses, headers, parameters, and more.